local coveredBridge = ...
coveredBridge:register({
		DataType = "BUILDING_FUNCTION_MARKET",
                Id = CoveredBridgePrefix .. "_KNIFE_FUNCTION",
                Name = CoveredBridgePrefix .. "_KNIFE_FUNCTION_NAME",
                TypeList = { "GOODS" },
                IsOverrideCapacity = true,
                CapacityPerSlot = 50,
		WorkerCapacity = 1,
                RelatedJob = { Job = MarketAdditionPrefix .. "_KNIFEGRINDER", Behavior = "BEHAVIOR_WORK" },
                InputInventoryCapacity = {
			{ Resource = "TOOL", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "TOOL", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = MarketAdditionPrefix .. "_KNIFE", Quantity = 1 }
                }
})

coveredBridge:override({
    Id = CoveredBridgePrefix .. "_FUNCTION_LIST",
    AssetFunctionList = {
                Action = "APPEND",
		CoveredBridgePrefix .. "_KNIFE_FUNCTION"
    }
})
function registerKnifeGrinderFunction(_assetId)
    coveredBridge:override({
        Id = CoveredBridgePrefix .. "_" .. _assetId .. "_FUNCTION_LIST",
        AssetFunctionList = {
                Action = "APPEND",
		CoveredBridgePrefix .. "_KNIFE_FUNCTION"
        }
    })
end
registerKnifeGrinderFunction("HOUSE")
registerKnifeGrinderFunction("RED")
registerKnifeGrinderFunction("GREEN_A")
registerKnifeGrinderFunction("BLUE")
registerKnifeGrinderFunction("GREEN_B")
registerKnifeGrinderFunction("RED_WINE")
registerKnifeGrinderFunction("CARBON")
coveredBridge:log("addKnifeGrinder end")
